Bug 68922 - fix build error japanese/ruby-chasen
Summary: fix build error japanese/ruby-chasen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-11 16:10 UTC by HASHI Hiroaki
Modified: 2004-08-30 06:33 UTC (History)
0 users

See Also:


Attachments
patch-extconf.rb (595 bytes, text/plain)
2004-07-11 16:10 UTC, HASHI Hiroaki
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description HASHI Hiroaki 2004-07-11 16:10:21 UTC
	ports japanese/ruby-chasen cannot build.
	stop configure error.

Fix: replace files/patch-extconf.rb file to this one.
How-To-Repeat: 	make build
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-07-12 17:12:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer.
Comment 2 jfkimura 2004-08-30 05:50:22 UTC
Hi folks.

| EXPIRATION_DATE=2004-08-20

This port was expired?

---
diff -urN ruby-chasen-orig/Makefile ruby-chasen/Makefile
--- ruby-chasen-orig/Makefile	Tue Jun 22 10:30:40 2004
+++ ruby-chasen/Makefile	Sun Aug 29 21:23:49 2004
@@ -7,7 +7,7 @@
 
 PORTNAME=	chasen
 PORTVERSION=	1.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese textproc ruby
 MASTER_SITES=	http://www.itlb.te.noda.sut.ac.jp/~ikarashi/ruby/
 # XXX: www.itlb.te.noda.tus.ac.jp is a different host and unreachable
@@ -18,10 +18,6 @@
 COMMENT=	ChaSen module for Ruby
 
 LIB_DEPENDS=	chasen.0:${PORTSDIR}/japanese/chasen-base
-
-BROKEN=		"Does not build (cannot open Makefile)"
-EXPIRATION_DATE=2004-08-20
-DEPRECATED=	Does not build (cannot open Makefile)
 
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes
diff -urN ruby-chasen-orig/files/patch-extconf.rb ruby-chasen/files/
patch-extconf.rb
--- ruby-chasen-orig/files/patch-extconf.rb	Thu Mar  1 21:20:55 2001
+++ ruby-chasen/files/patch-extconf.rb	Sun Aug 29 21:27:27 2004
@@ -1,6 +1,6 @@
---- extconf.rb.orig	Thu Sep  9 21:57:36 1999
-+++ extconf.rb	Thu Mar  1 19:09:18 2001
-@@ -1,20 +1,6 @@
+--- extconf.rb.orig	Thu Sep  9 05:57:36 1999
++++ extconf.rb	Sun Aug 29 21:26:29 2004
+@@ -1,20 +1,7 @@
  require "mkmf"
 -require "parsearg"
  
@@ -21,5 +21,6 @@
 -end
 +dir_config("chasen")
  
++have_library("stdc++")
 +have_library("chasen", "chasen_getopt_argv") &&
  create_makefile("chasen")


---
Fumihiko Kimura <jfkimura@yahoo.co.jp>

__________________________________________________
GANBARE! NIPPON!
Yahoo! JAPAN JOC OFFICIAL INTERNET PORTAL SITE
http://mail.ganbare-nippon.yahoo.co.jp/
Comment 3 Akinori MUSHA freebsd_committer 2004-08-30 06:33:12 UTC
State Changed
From-To: open->closed

Committed, thanks!